指定尺寸文本的水平对齐。 支持的平台:仅窗口 属性值只读:不 类型:枚举acDimHorizontalJustification
言论注意:此属性将覆盖给定维度的 DIMJUST 系统变量的值。
例子工 务 局: Sub Example_HorizontalTextPosition() ' This example creates an aligned dimension in model space ' and cycles the dimension text through different ' horizontal alignments Dim dimObj As AcadDimAligned Dim point1(0 To 2) As Double, point2(0 To 2) As Double Dim location(0 To 2) As Double Dim CurrentValue As String ' Define the dimension point1(0) = 5: point1(1) = 5: point1(2) = 0 point2(0) = 9: point2(1) = 5: point2(2) = 0 location(0) = 5: location(1) = 7: location(2) = 0 ' Create an aligned dimension object in model space Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location) ThisDrawing.Application.ZoomAll ' Read and display current text position Select Case dimObj.HorizontalTextPosition Case acHorzCentered: CurrentValue = "centered" Case acFirstExtensionLine: CurrentValue = "aligned to first extension line" Case acSecondExtensionLine: CurrentValue = "aligned to second extension line" Case acOverFirstExtension: CurrentValue = "aligned over first extension line" Case acOverSecondExtension: CurrentValue = "aligned over second extension line" End Select MsgBox "The dimension is " & CurrentValue ' Force the alignment of the dimension text to the first extension line dimObj.HorizontalTextPosition = acFirstExtensionLine ThisDrawing.Regen acAllViewports MsgBox "Dimension text is now aligned to the first extension line" ' Force the alignment of the dimension text to the second extension line dimObj.HorizontalTextPosition = acSecondExtensionLine ThisDrawing.Regen acAllViewports MsgBox "Dimension text is now aligned to the second extension line" End Sub Visual LISP: (vl-load-com) (defun c:Example_HorizontalTextPosition() ;; This example creates an aligned dimension in model space ;; and cycles the dimension text through different ;; horizontal alignments (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the dimension (setq point1 (vlax-3d-point 5 5 0) point2 (vlax-3d-point 9 5 0) location (vlax-3d-point 5 7 0)) ;; Create an aligned dimension object in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location)) (vla-ZoomAll acadObj) ;; Read and display current text position (cond ((= (vla-get-HorizontalTextPosition dimObj) acHorzCentered) (setq CurrentValue "centered")) ((= (vla-get-HorizontalTextPosition dimObj) acFirstExtensionLine) (setq CurrentValue "aligned to first extension line")) ((= (vla-get-HorizontalTextPosition dimObj) acSecondExtensionLine) (setq CurrentValue "aligned to second extension line")) ((= (vla-get-HorizontalTextPosition dimObj) acOverFirstExtension) (setq CurrentValue "aligned over first extension line")) ((= (vla-get-HorizontalTextPosition dimObj) acOverSecondExtension) (setq CurrentValue "aligned over second extension line")) ) (alert (strcat "The dimension is " CurrentValue)) ;; Force the alignment of the dimension text to the first extension line (vla-put-HorizontalTextPosition dimObj acFirstExtensionLine) (vla-Regen doc acAllViewports) (alert "Dimension text is now aligned to the first extension line") ;; Force the alignment of the dimension text to the second extension line (vla-put-HorizontalTextPosition dimObj acSecondExtensionLine) (vla-Regen doc acAllViewports) (alert "Dimension text is now aligned to the second extension line") ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:29
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.